<%--    progress monitor for dialogs    --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<% try { // START: DEBUG %>
<%@ page errorPage="/errorPage.jsp" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ page import="com.sas.apps.citation.controller.action.ProgressQueryAction" %>
<%@ page import="com.sas.apps.citation.controller.action.ProgressCancelAction" %>
<%@ page import="com.sas.apps.citation.view.beans.CommonKeys" %>
<%@ page import="com.sas.apps.citation.view.beans.PagePropertyBean" %>
<%@ page import="com.sas.apps.citation.view.tbeans.html.CitationButton" %>
<%@ page import="com.sas.apps.citation.view.util.PageErrorProcessor" %>
<%@ page import="com.sas.apps.citation.view.util.ThemeUtils" %>
<%@ page import="com.sas.apps.citation.util.PropertyHelper" %>
<%@ page import="com.sas.apps.citation.model.user.SessionScopeManager" %>
<html:xhtml />
<%
boolean isMainPage = ((Boolean) request.getAttribute(CommonKeys.PROGRESS_INDICATOR_MAIN_PAGE)).booleanValue();
String targetProgressID = ProgressQueryAction.getCookie(ProgressQueryAction.CURRENT_ID_KEY, request);
String currentProgressID = ProgressQueryAction.CURRENT_ID_KEY
    + "=0";
String progressAction = "progressQuery.do?"+ProgressQueryAction.TARGET_ID_KEY+"="+targetProgressID;
String waitCancelAction = "cancelWait.do?"+ProgressCancelAction.TARGET_ID_KEY+"="+targetProgressID;
%>
<script type="text/javascript"> /*<![CDATA[*/
  document.cookie='<%=currentProgressID%>';
  var cancelMessage = '<%=PagePropertyBean.escapeQuotesOnly(PagePropertyBean.getLabelWithMnemonic(pageContext,"progress.processing.cancel.txt"))%>';    
  var originalCancelMessage = '<%=PagePropertyBean.escapeQuotesOnly(PagePropertyBean.getLabelWithMnemonic(pageContext,"progress.retrieve.txt"))%>';                        
/*]]>*/ </script>
<iframe name="handleProgressResultsFrame" 
    title="<%=PagePropertyBean.getLabel(pageContext, "sec508.iframe.title.txt")%>"
    src="empty.html"
    style="display:none; width:0px; height:0px; border-style:none; background-color:transparent;">
</iframe>
<html:form action="<%=progressAction%>"
           target="handleProgressResultsFrame"
           style="display:none">
    <html:hidden property="cancelProgress" styleId="cancelProgressQuery" value="false"/>
</html:form>
<html:form action="<%=waitCancelAction%>"
           target="handleProgressResultsFrame"
           style="display:none">
    <html:hidden property="cancelProgress" styleId="cancelProgressWait" value="true"/>
</html:form>
<%
boolean showFullProgress = false;
if (request.getAttribute(CommonKeys.SHOW_PROGRESS_INDICATOR) != null) {
    showFullProgress = ((Boolean) request.getAttribute(CommonKeys.SHOW_PROGRESS_INDICATOR)).booleanValue();
}
String topPadding = "20px";
String totalHeight = "";
String totalTopPadding = "0px";
String progressName = "progressIndicatorDialog";
String totalStyle = "";
if (isMainPage) {
    totalTopPadding = "45px";
    progressName = "progressIndicatorWIP";
    topPadding = "100";
    totalHeight = "90%";
    // If its a main page leave off the height=100%. This was causing the white gap
    // at the bottom of the welcome page in FireFox (S0471477).
    totalStyle = "visibility:visible; position:absolute;"
        + "top:" + totalTopPadding + ";"
        + "  left:0px; z-index:3001; width:100%;"
        + " height:" + totalHeight + ";"
        + " border: none; background-color: #FFFFFF";
}
else {
    topPadding = "20px";
    totalTopPadding = "0px";
    progressName = "progressIndicatorDialog";
    totalHeight = "100%";
    // Still need the height for the dialogs.
    totalStyle = "visibility:visible; position:absolute;"
        + "top:" + totalTopPadding + ";"
        + "  left:0px; z-index:3001; width:100%;"
        + " height:" + totalHeight + ";"
        + " border: none; background-color: #FFFFFF";    
}
       
%>
<iframe src="empty.html" 
      title="<%=PagePropertyBean.getLabel(pageContext, "sec508.iframe.title.txt")%>"
      style="display:none; border:none; z-index:3000; position:absolute;" 
      id="progressIndicatorIframe"
      name="progressIndicatorIframe" 
      scrolling="no">
</iframe>
<div id="<%=progressName%>" style="<%=totalStyle%>">
    <table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;" summary="">
        <tr>
            <td style="height:<%=topPadding%>;">&nbsp;</td>
        </tr>
        <tr>
            <td style="text-align:center;vertical-align:top;">
                <table border="0" cellspacing="0" cellpadding="0" style="width:100%;" summary="">
<% if (showFullProgress) { %>
                    <tr>
                        <td style="text-align:center;vertical-align:bottom;">
<% if (PropertyHelper.getPropertyAsBool("webreportstudio.show.progress.image",true)) { %>
                            <img id="progressIndicatorImage" src='<%=ThemeUtils.getImageSourceURL(request,"wrs_progress_ripple")%>' 
                                style="width:120px; height:120px" alt="<bean:message key='progress.wait.txt'/>"
                                />
<% } %>
                        </td>
                    </tr>
                    <tr><td class="lineSpacer">&nbsp;</td></tr>
                    <tr>
                        <td style="text-align:center;vertical-align:top;" class="progress">
                            <span id="pleaseWaitMessage">
                                <bean:message key="progress.waiting.txt"/>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:center;vertical-align:top;" class="progress">
                            <span id="progressMessage">
                                <bean:message key="progress.retrieve.txt"/>
                            </span>
                        </td>
                    </tr>                    
                    <tr><td class="lineSpacer">&nbsp;</td></tr>
                    <tr>
                        <td align="center">
                            <table border="0" cellspacing="0" cellpadding="0" style="width:90%;" summary="">
                                <tr class="subMenuRule"><td class="subMenuRule"></td></tr>
                            </table>
                        </td>
                    </tr>
                    <tr><td class="lineSpacer">&nbsp;</td></tr>
                    <tr>
                        <td style="text-align:center;vertical-align:top;">
                            <form action="javascript:void(0)">
<%
String cancelAction = "cancelProgress(true);";
if (isMainPage) {
    cancelAction = "cancelProgress();";
}
CitationButton cancelProgressButton = CitationButton.createStandaloneButton(request, "cancelProgressButton",
    PagePropertyBean.getLabelWithMnemonic(pageContext,"progress.cancel.txt"),
    cancelAction);
cancelProgressButton.setAccessKey(PagePropertyBean.getMnemonic(pageContext,"progress.cancel.txt"));
cancelProgressButton.write(out);
%>
                            </form>
                        </td>
                    </tr>
<% } else if (!isMainPage) { %>
                    <tr>
                        <td align="center">
                            <table border="0" cellspacing="0" cellpadding="0" summary="">
                                <tr>
                                    <td style="text-align:right; vertical-align:middle">
                                        <img id="progressIndicatorImage" src='<%=ThemeUtils.getImageSourceURL(request,"wrs_progress_ripple")%>' 
                                            style="width:120px;height:120px;" alt="<bean:message key='progress.wait.txt'/>"/>
                                    </td>
                                    <td class="dialogSpacer">&nbsp;</td>
                                    <td id="cancelMessage" style="text-align:left; vertical-align:middle;" class="progress">
                                        <bean:message key="progress.waiting.txt"/>
                                        <br/>
                                        <bean:message key="progress.retrieve.txt"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
<% } else { %>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
<% } %>
                </table>
            </td>
        </tr>
    </table>
</div>


<%
    SessionScopeManager smgr = SessionScopeManager.getSessionScopeManager(request);
    boolean isGUICancelInProgress = smgr.getProgressInquiryInterface().isGUICancelInProgress();
    if(isGUICancelInProgress == true)
    {
%>
        <script type="text/javascript"> /*<![CDATA[*/
            isGUICancelInProgress = true;
        /*]]>*/ </script>
<%
        smgr.getProgressInquiryInterface().setGUICancelInProgress(false);
    }
%>
<script type="text/javascript"> /*<![CDATA[*/

    showDebugMsgs("prgressMonitorShared.jsp", "progressIndicatorStart()"); 
    progressIndicatorStart();  //  brcarb 12/10/12 S0910093
    window.status = '<%=PagePropertyBean.escapeQuotesOnly(PagePropertyBean.getMessage(pageContext,"progress.wait.txt"))%>';
<% if (! ProgressQueryAction.SUPPRESS_PROGRESS) { %>
    getProgressInfo();
<% } %>
/*]]>*/ </script>
<% } catch (Exception ex) {
    PageErrorProcessor.setJspError(ex, pageContext, out);
} // END: DEBUG %>
